Get schema config
GET
/databases/{id}/config
const url = 'https://api.reflexdb.cloud/v1/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.reflexdb.cloud/v1/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config \ --header 'Authorization: Bearer <token>'Returns both the pending (not yet deployed) and deployed schema configs as YAML strings and parsed objects.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Database ID
Responses
Section titled “ Responses ”Default Response
Media type application/json
object
pendingYaml
string
pendingConfig
object
key
additional properties
any
deployedYaml
string
deployedConfig
object
key
additional properties
any
Example generated
{ "pendingYaml": "example", "pendingConfig": {}, "deployedYaml": "example", "deployedConfig": {}}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}Default Response
Media type application/json
Error
object
error
required
string
message
string
Example generated
{ "error": "example", "message": "example"}